Subject: Re: bug#12761: cl-lib.el functions do not get font-locked like cl.el ones

From: Stefan Monnier <[email-masked]>
Date: Tue, 30 Oct 2012 09:33:16 -0400

>>> `letf' gets font-lock-keyword-face, `cl-letf' does not get fontified.
>> I'm not sure which of the two is a bug, to tell you the truth.
> I guess the bug was ever font-locking things from cl.el that are not in
> Common Lisp.

And to the extent that cl.el's "namespace uncleanliness" was enough to
ostracize it, font-locking the elements which are in Common-Lisp (but
not in core Elisp) was also a mistake.

> So maybe that special treatment (lexical-let, letf, etc)
> should be removed, to make everyone equally miserable.

Right.  But then the "cl-*" versions could be fine choices (tho I'd
much rather not hard code those things in the font-lock rules.
Couldn't we build those dynamically by loading cl-lib.el, then going
through the obarray, keeping all macros whose name starts with "cl-" but
not "cl--"?).

        Stefan